package com.alvin.util;

import java.util.ArrayList;
import java.util.Collections;

public class ListUtil {
    public static <T> ArrayList<T> newList(T... list) {
        ArrayList<T> strings = new ArrayList<>();
        Collections.addAll(strings, list);
        return strings;
    }

    public static void main(String[] args) {
        ArrayList<Integer> integers = newList(1, 2, 3);
        ArrayList<String> strings = newList("323", "2234");
        System.out.println(integers);
    }
}
